#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCD,0xDD,0x07,0x34,0x3A,0x46,0x3C,0x62,0x2B,0x18,0xD8,0x4F,
		0xC9,0xEF,0x58,0x06,0x6D,0x1E,0xBC,0x87,0xF7,0xDE,0xB2,0x29,
		0x04,0x07,0x5C,0x1E,0x93,0x9F,0x4C,0xC4,0xB9,0xDE,0x86,0x40,
		0x7E,0xF1,0xC3,0x98,0x8F,0x60,0x4A,0xE9,0x25,0x0D,0xD0,0xDD,
		0x4E,0xEC,0x36,0xA3,0x57,0x72,0xE6,0x0B,0x64,0x6E,0x9E,0xA5,
		0x37,0xD6,0x31,0xBB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
